Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## writer2latex.latex
Class DrawConverter

    java.lang.Object
      writer2latex.latex.ConverterHelper
          writer2latex.latex.DrawConverter

    public class DrawConverter

extends ConverterHelper

This class handles draw elements.

Field Summary
`private boolean` | `bNeedGraphicx`
`private java.util.Stack` | `floatingFramesStack`

Fields inherited from class writer2latex.latex.ConverterHelper
`config, ofr, palette`

Constructor Summary
`DrawConverter(OfficeReader ofr, Config config, ConverterPalette palette)`

Method Summary
`void` | `appendDeclarations(LaTeXDocumentPortion pack, LaTeXDocumentPortion decl)`
`private void` | `applyFigureFloat(BeforeAfter ba, Context oc)`
`void` | `flushFloatingFrames(LaTeXDocumentPortion ldp, Context oc)`
`private org.w3c.dom.Element` | `getFrame(org.w3c.dom.Element onode)`
`private char` | `getNextChar(org.w3c.dom.Node node)`
`private org.w3c.dom.Node` | `getNextNode(org.w3c.dom.Node node)`
`void` | `handleCaption(org.w3c.dom.Element node, LaTeXDocumentPortion ldp, Context oc)`
`void` | `handleDrawElement(org.w3c.dom.Element node, LaTeXDocumentPortion ldp, Context oc)`
`private void` | `handleDrawImage(org.w3c.dom.Element node, LaTeXDocumentPortion ldp, Context oc)`
`private void` | `handleDrawImageAsChar(org.w3c.dom.Element node, LaTeXDocumentPortion ldp, Context oc)`
`private void` | `handleDrawImageFloat(org.w3c.dom.Element node, LaTeXDocumentPortion ldp, Context oc)`
`private void` | `handleDrawObject(org.w3c.dom.Element node, LaTeXDocumentPortion ldp, Context oc)`
`private void` | `handleDrawTextBox(org.w3c.dom.Element node, LaTeXDocumentPortion ldp, Context oc)`
`private void` | `handleDrawTextBoxFloat(org.w3c.dom.Element node, LaTeXDocumentPortion ldp, Context oc)`
`private void` | `includeGraphics(org.w3c.dom.Element node, LaTeXDocumentPortion ldp, Context oc)`
`private void` | `makeDrawTextBox(org.w3c.dom.Element node, LaTeXDocumentPortion ldp, Context oc)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### bNeedGraphicx

    private boolean bNeedGraphicx

### floatingFramesStack

    private java.util.Stack floatingFramesStack

Constructor Detail

### DrawConverter

    public DrawConverter(OfficeReader ofr,
                         Config config,
                         ConverterPalette palette)

Method Detail

### getFrame

    private org.w3c.dom.Element getFrame(org.w3c.dom.Element onode)

### appendDeclarations

    public void appendDeclarations(LaTeXDocumentPortion pack,
                                   LaTeXDocumentPortion decl)

  Overrides:
    `appendDeclarations` in class `ConverterHelper`

### handleCaption

    public void handleCaption(org.w3c.dom.Element node,
                              LaTeXDocumentPortion ldp,
                              Context oc)

### handleDrawElement

    public void handleDrawElement(org.w3c.dom.Element node,
                                  LaTeXDocumentPortion ldp,
                                  Context oc)

### handleDrawObject

    private void handleDrawObject(org.w3c.dom.Element node,
                                  LaTeXDocumentPortion ldp,
                                  Context oc)

### applyFigureFloat

    private void applyFigureFloat(BeforeAfter ba,
                                  Context oc)

### handleDrawImage

    private void handleDrawImage(org.w3c.dom.Element node,
                                 LaTeXDocumentPortion ldp,
                                 Context oc)

### handleDrawImageAsChar

    private void handleDrawImageAsChar(org.w3c.dom.Element node,
                                       LaTeXDocumentPortion ldp,
                                       Context oc)

### handleDrawImageFloat

    private void handleDrawImageFloat(org.w3c.dom.Element node,
                                      LaTeXDocumentPortion ldp,
                                      Context oc)

### includeGraphics

    private void includeGraphics(org.w3c.dom.Element node,
                                 LaTeXDocumentPortion ldp,
                                 Context oc)

### handleDrawTextBox

    private void handleDrawTextBox(org.w3c.dom.Element node,
                                   LaTeXDocumentPortion ldp,
                                   Context oc)

### handleDrawTextBoxFloat

    private void handleDrawTextBoxFloat(org.w3c.dom.Element node,
                                        LaTeXDocumentPortion ldp,
                                        Context oc)

### makeDrawTextBox

    private void makeDrawTextBox(org.w3c.dom.Element node,
                                 LaTeXDocumentPortion ldp,
                                 Context oc)

### flushFloatingFrames

    public void flushFloatingFrames(LaTeXDocumentPortion ldp,
                                    Context oc)

### getNextNode

    private org.w3c.dom.Node getNextNode(org.w3c.dom.Node node)

### getNextChar

    private char getNextChar(org.w3c.dom.Node node)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD